#!/usr/bin/perl -w
use strict;
use AnalysisFunctions;
use MotifFunctions;
use Getopt::Std;

#Input options
#############################################
my %options = ();
getopt("iodpsc", \%options);
if ($options{i}){}else{print"Input sequence file not defined\n"; die};
if ($options{o}){}else{print"Output sequence file not defined\n"; die};
if ($options{d}){}else{$options{w} = '4'};
if ($options{p}){}else{$options{W} = '3'};
if ($options{s}){}else{$options{s} = '0.5'};
if ($options{c}){}else{$options{c} = '0.7'};

my $motifs = new MotifFunctions;
$motifs->load_alignace($options{i}, 'all', 'AlignACE');
#$motifs->load_bioprospector($outfile, $options{m}, 'BioProspector');
#$motifs->load_mdscan($outfile, $options{m}, 'MDscan'); 
#$motifs->load_meme($outfile, $options{m}, 'MEME'); 
$motifs->eliminate_fragments('6');
$motifs->block_filter($options{s}, $options{p}, $options{c}, $options{d}, $options{p});
$motifs->list_alignace($options{o}, 'all');

